
From: Brice Goglin <Brice.Goglin@ens-lyon.org>

drivers/pcmcia/ds.c defines pcmcia_store_allow_func_id_match without the
new "struct device_attribute *attr" argument.  The attached patch fixes
this.

Signed-off-by: Brice Goglin <Brice.Goglin@ens-lyon.org>
Cc: Dominik Brodowski <linux@dominikbrodowski.net>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/pcmcia/ds.c |    3 ++-
 1 files changed, 2 insertions(+), 1 deletion(-)

diff -puN drivers/pcmcia/ds.c~pcmcia-allow-function-id-based-match-fix drivers/pcmcia/ds.c
--- 25/drivers/pcmcia/ds.c~pcmcia-allow-function-id-based-match-fix	Wed May 25 15:04:37 2005
+++ 25-akpm/drivers/pcmcia/ds.c	Wed May 25 15:04:37 2005
@@ -870,7 +870,8 @@ pcmcia_device_stringattr(prod_id3, prod_
 pcmcia_device_stringattr(prod_id4, prod_id[3]);
 
 
-static ssize_t pcmcia_store_allow_func_id_match (struct device * dev, const char * buf, size_t count)
+static ssize_t pcmcia_store_allow_func_id_match (struct device * dev, struct device_attribute *attr,
+						 const char * buf, size_t count)
 {
 	struct pcmcia_device *p_dev = to_pcmcia_dev(dev);
         if (!count)
_
